is_edge_mutual {DiagrammeR} | R Documentation

## Is the edge mutual with another edge?

### Description

Determines whether an edge definition has a mutual analogue with the same node pair.

### Usage

    is_edge_mutual(graph, edge)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edge` | a numeric edge ID value.

### Value

a logical value.

### Examples

    # Create a graph that has mutual
    # edges across some node pairs
    graph <-
      create_graph() %>%
      add_path(n = 4) %>%
      add_edge(
        from = 4,
        to = 3) %>%
      add_edge(
        from = 2,
        to = 1)

    # Get the graph's internal
    # edge data frame
    graph %>%
      get_edge_df()

    # Determine if edge `1` has
    # a mutual edge
    graph %>%
      is_edge_mutual(edge = 1)

    # Determine if edge `2` has
    # a mutual edge
    graph %>%
      is_edge_mutual(edge = 2)

[Package DiagrammeR version 1.0.1 Index]